# coding: utf8
import glob, re
maintainer = 'David Nečas (Yeti) <yeti@physics.muni.cz>'
url = 'http://physics.muni.cz/~yeti/vim/gtk-syntax.tar.gz'
basedir = '/home/yeti/src'
def getver(syntax_name, file_glob):
    m = re.search(r'/%s-([0-9.]+)/' % syntax_name,
                  sorted(glob.glob(file_glob))[-1])
    if m:
        return m.group(1)
    return 'unknown'
def makedesc(syntax_name, file_glob, base_name=None):
    if not base_name:
        base_name = syntax_name
    template = 'C %s extension (for version %s)'
    return template % (syntax_name, getver(base_name, file_glob))
